﻿@model eCommerce.UI.ViewModels.CatalogoViewModel
@using eCommerce.UI.Utils
@{
    Layout = null;
}

<div id="list-view" class="products-grid fade tab-pane in active">
    <div class="products-list">

        @foreach (var product in Model.Products)
        {
            <div class="product-item product-item-holder">

                @if (product.OnSale)
                {
                    <div class="ribbon red"><span>Sale!</span></div>
                }

                @if (product.IsNew)
                {
                    <div class="ribbon blue"><span>Nuevo!</span></div>
                }

                @if (product.Outstanding)
                {
                    <div class="ribbon green"><span>Destacado</span></div>
                }

                @if (Model.ShowMaxDiscount && product.MaxDiscount.HasValue && product.MaxDiscount.Value < Model.ActiveCoupon.Percentage)
                {
                    if (Model.ShowMaxDiscount && product.MaxDiscount.HasValue && product.MaxDiscount.Value < Model.ActiveCoupon.Percentage)
                    {
                        if (product.MaxDiscount.Value == 0)
                        {
                            <div class="ribbon dark-grey"><span>Producto en Oferta (no aplica cupón)</span></div>
                        }
                        else
                        {
                            <div class="ribbon orange"><span>Descuento máx. @(Math.Floor(product.MaxDiscount.Value).ToString())%</span></div>
                        }
                    }
                }

                <div class="row">
                    <div class="no-margin col-xs-12 col-sm-4 image-holder">
                        <div class="image">
                            <a href="/Catalogo/Producto?producto=@product.ProductId">
                                <img src="@string.Format("{0}/{1}", Utility.ImgUrl, product.getDefaultResizedImageUrl)" alt="...">
                            </a>
                        </div>
                    </div>
                    <div class="no-margin col-xs-12 col-sm-5 body-holder">
                        <div class="body">
                            <div class="title">
                                <a href="single-product.html">@product.Title</a>
                            </div>
                            @if (product.Brand != null)
                            {
                                <div class="brand">@product.Brand.Name</div>
                            }
                            <div class="excerpt">
                                <p>@product.Description</p>
                            </div>
                        </div>
                    </div>
                    <div class="no-margin col-xs-12 col-sm-3 price-area">
                        <div class="right-clmn">
                            <div class="price-current">$@product.CustomerPrice</div>
                            @if (product.CustomerOldPrice.HasValue)
                            {
                                <div class="price-prev">$@product.CustomerOldPrice.Value</div>
                            }
                            <div class="availability"><label>disponibilidad:</label><span class="available">En stock</span></div>
                            <a class="le-button" href="/Catalogo/Producto?producto=@product.ProductId">Ver detalle</a>
                        </div>
                    </div>
                </div>
            </div>
        }

    </div><!-- /.products-list -->

    <div class="pagination-holder">
        @Html.Partial("_Pager")
    </div>

</div>